/**
 * unzip.h
 */

/**
 * ZIPFILE構造体
 */
struct ZIPFILE;

/**
 * 指定された名前のZIPファイルをオープンする
 */
ZIPFILE* unzip_open(LPTSTR filename);

/**
 * ZIPファイルをクローズする
 */
BOOL unzip_close(ZIPFILE* zfile);

/**
 * 指定された名前のファイル位置まで移動する
 */
BOOL unzip_seek(ZIPFILE* zfile, const char* filename);

/**
 * 現在位置にあるファイルの非圧縮サイズを返す
 */
DWORD unzip_get_uncompressed_size(ZIPFILE* zfile);

/**
 * 現在位置にあるファイルを読み込む
 */
BOOL unzip_read(ZIPFILE* zfile, char* buff, DWORD bufflen);
